## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/nwg-piotr/%{name}
%global sys_name nwg_panel

Name:       nwg-panel
Version:    0.9.48
%forgemeta
Release:    %autorelease
Summary:    GTK3-based panel for sway and Hyprland Wayland compositors
BuildArch:  noarch

License:    MIT
URL:        %{forgeurl}
Source0:    %{forgesource}

BuildRequires: desktop-file-utils
BuildRequires: python3-devel >= 3.4
BuildRequires: python3-setuptools
BuildRequires: systemd-rpm-macros

Requires:   gtk-layer-shell
Requires:   gtk3
Requires:   python3-gobject
Requires:   python3-i3ipc
Requires:   python3-dasbus
Requires:   wlr-randr

Recommends: /usr/bin/pactl
Recommends: brightnessctl
Recommends: playerctl
Recommends: python3-netifaces
Recommends: python3-psutil
Recommends: python3-pybluez

Supplements: hyprland

%description
This application is a part of the nwg-shell project.

I have been using sway since 2019 and find it the most comfortable working
environment, but... Have you ever missed all the graphical bells and whistles
in your panel, we used to have in tint2? It happens to me. That's why I
decided to try to code a GTK-based panel, including best features from my two
favourites: Waybar and tint2. Many thanks to Developers and Contributors of
the both projects!

There are 12 modules available at the moment, and I don't plan on many more.
Basis system controls are available in the Controls module, and whatever else
you may need, there's an executor for that.


%prep
%forgeautosetup -p1


%build
%py3_build


%install
%py3_install

# Remove shebang from Python libraries
for lib in %{buildroot}%{python3_sitelib}/%{sys_name}/{/,modules}/*.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

# Remove shebang from Python libraries
for lib in %{buildroot}%{python3_sitelib}/%{sys_name}/*.py; do
 sed '1{\@^#!/usr/bin/python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

install -Dpm 0644 %{name}.svg -t %{buildroot}%{_datadir}/pixmaps/
install -Dpm 0644 nwg-shell.svg -t %{buildroot}%{_datadir}/pixmaps/
install -Dpm 0755 %{name}-config.desktop -t %{buildroot}%{_datadir}/applications/
install -Dpm 0644 %{name}.service -t %{buildroot}%{_userunitdir}/


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%post
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service

%postun
%systemd_user_postun_with_restart %{name}.service


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-config
%{_bindir}/nwg-dwl-interface
%{_bindir}/nwg-processes
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.svg
%{_userunitdir}/%{name}.service
%{python3_sitelib}/%{sys_name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{sys_name}/


%changelog
## START: Generated by rpmautospec
* Thu Oct 24 2024 Packit <hello@packit.dev> - 0.9.48-1
- Update to 0.9.48 upstream release
- Resolves: rhbz#2321495

* Tue Oct 22 2024 Packit <hello@packit.dev> - 0.9.47-1
- Update to 0.9.47 upstream release
- Resolves: rhbz#2320827

* Mon Oct 21 2024 Packit <hello@packit.dev> - 0.9.45-1
- Update to 0.9.45 upstream release
- Resolves: rhbz#2319578

* Tue Oct 15 2024 Neal Gompa <ngompa@fedoraproject.org> - 0.9.44-1
- Update to version 0.9.44 and add patch for miraclewm support

* Sat Oct 12 2024 Packit <hello@packit.dev> - 0.9.42-1
- Update to 0.9.42 upstream release
- Resolves: rhbz#2318339

* Sun Oct 06 2024 Packit <hello@packit.dev> - 0.9.41-1
- Update to 0.9.41 upstream release
- Resolves: rhbz#2316839

* Wed Oct 02 2024 Packit <hello@packit.dev> - 0.9.40-1
- Update to 0.9.40 upstream release
- Resolves: rhbz#2316156

* Fri Sep 20 2024 Packit <hello@packit.dev> - 0.9.39-1
- Update to 0.9.39 upstream release
- Resolves: rhbz#2313722

* Mon Aug 26 2024 Packit <hello@packit.dev> - 0.9.38-1
- Update to 0.9.38 upstream release
- Resolves: rhbz#2307817

* Mon Jul 29 2024 Packit <hello@packit.dev> - 0.9.37-1
- Update to 0.9.37 upstream release
- Resolves: rhbz#2301113

* Fri Jul 19 2024 Packit <hello@packit.dev> - 0.9.36-1
- Update to 0.9.36 upstream release
- Resolves: rhbz#2298815

* Wed Jul 17 2024 Packit <hello@packit.dev> - 0.9.35-1
- Update to 0.9.35 upstream release
- Resolves: rhbz#2298440

* Sun Jun 16 2024 Packit <hello@packit.dev> - 0.9.34-1
- Update to 0.9.34 upstream release
- Resolves: rhbz#2292558

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.9.32-2
- Rebuilt for Python 3.13

* Sat May 18 2024 Packit <hello@packit.dev> - 0.9.32-1
- Update to 0.9.32 upstream release
- Resolves: rhbz#2281387

* Mon May 06 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.31-2
- build: Remove sed stuff. Fixed upstream. (rh#2279293)

* Fri May 03 2024 Packit <hello@packit.dev> - 0.9.31-1
- Update to 0.9.31 upstream release
- Resolves: rhbz#2278993

* Thu May 02 2024 Packit <hello@packit.dev> - 0.9.29-1
- Update to 0.9.29 upstream release
- Resolves: rhbz#2278111

* Tue Mar 26 2024 Packit <hello@packit.dev> - 0.9.27-1
- [packit] 0.9.27 upstream release
- Resolves: rhbz#2271617

* Thu Mar 21 2024 Packit <hello@packit.dev> - 0.9.26-1
- [packit] 0.9.26 upstream release
- Resolves rhbz#2270575

* Thu Feb 29 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.25-2
- packit: Update config

* Thu Feb 29 2024 Packit <hello@packit.dev> - 0.9.25-1
- [packit] 0.9.25 upstream release
- Resolves rhbz#2265243

* Sat Feb 10 2024 Packit <hello@packit.dev> - 0.9.23-1
- [packit] 0.9.23 upstream release
- Resolves rhbz#2263655

* Tue Jan 30 2024 Packit <hello@packit.dev> - 0.9.22-1
- [packit] 0.9.22 upstream release
- Resolves rhbz#2257996

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 12 2024 Packit <hello@packit.dev> - 0.9.21-1
- [packit] 0.9.21 upstream release
- Resolves rhbz#2257996

* Tue Jan 09 2024 Packit <hello@packit.dev> - 0.9.20-1
- [packit] 0.9.20 upstream release
- Resolves rhbz#2257358

* Mon Dec 11 2023 Packit <hello@packit.dev> - 0.9.19-1
- [packit] 0.9.19 upstream release
- Resolves rhbz#2253980

* Sun Dec 03 2023 Packit <hello@packit.dev> - 0.9.18-1
- [packit] 0.9.18 upstream release
- Resolves rhbz#2252672

* Sat Nov 11 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.17-2
- packit: Update config

* Sat Nov 11 2023 Packit <hello@packit.dev> - 0.9.17-1
- [packit] 0.9.17 upstream release
- Resolves rhbz#2246024

* Fri Oct 13 2023 Packit <hello@packit.dev> - 0.9.14-1
- [packit] 0.9.14 upstream release

* Sun Oct 08 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.13-3
- build: Add Packit config

* Sun Oct 08 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.13-2
- build: Use forge macros

* Thu Sep 21 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.13-1
- chore: Update to 0.9.13

* Wed Aug 23 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.12-1
- chore: Update to 0.9.10 (rh#2233715)

* Fri Aug 04 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.11-1
- chore: Update to 0.9.11

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 11 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.10-1
- chore: Update to 0.9.10 (rh#2218324)

* Mon Jun 26 2023 Python Maint <python-maint@redhat.com> - 0.9.7-4
- Rebuilt for Python 3.12

* Tue Jun 20 2023 Jerzy Drozdz <jerzy.drozdz@jdsieci.pl> - 0.9.7-3
- build: Added missing dependencies

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.9.7-2
- Rebuilt for Python 3.12

* Tue Jun 13 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.7-1
- chore: Update to 0.9.7

* Tue Jun 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.6-1
- chore: Update to 0.9.6

* Tue May 23 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.3-1
- chore: Update to 0.9.3

* Sat May 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.1-1
- chore: Update to 0.9.1

* Thu May 04 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.0-1
- chore: Update to 0.9.0

* Tue May 02 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.7-1
- chore: Update to 0.8.7

* Mon May 01 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.6-1
- chore: Update to 0.8.6

* Fri Apr 28 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.5-1
- chore: Update to 0.8.5

* Mon Apr 10 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.3-1
- chore: Update to 0.8.3

* Sat Mar 11 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.1-1
- chore: Update to 0.8.1

* Sun Feb 19 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.17-1
- chore: Update to 0.7.17

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.16-1
- chore: Update to 0.7.16

* Sat Dec 10 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.15-1
- chore: Update to 0.7.15

* Sun Dec 04 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.14-1
- chore: Update to 0.7.14

* Fri Oct 28 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.13-1
- chore(update): 0.7.13

* Sun Oct 23 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.12-1
- chore(update): 0.7.12

* Thu Oct 13 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.11-1
- chore(update): 0.7.11

* Fri Oct 07 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.10-1
- chore(update): 0.7.10

* Thu Oct 06 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.9-1
- fix: Previous commit

* Thu Oct 06 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.8-2
- chore(update): 0.7.9

* Tue Sep 13 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.8-1
- chore(update): 0.7.8

* Thu Sep 01 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.7-1
- chore(update): 0.7.7

* Mon Aug 29 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.6-1
- chore(update): 0.7.6

* Mon Aug 22 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.5-1
- chore(update): 0.7.5

* Mon Aug 15 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.4-1
- chore(update): 0.7.4

* Sun Jul 31 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.3-1
- chore(update): 0.7.3

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 21 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.1-1
- chore(update): 0.7.1

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.7.0-3
- Rebuilt for Python 3.11

* Mon Jun 06 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.0-1
- chore(update): 0.7.0

* Fri May 13 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.4-1
- chore(update): 0.6.4

* Wed Apr 13 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.3-1
- chore(update): 0.6.3

* Thu Mar 17 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.2-1
- chore(update): 0.6.2

* Tue Feb 01 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.1-1
- chore(update): 0.6.1

* Sat Jan 29 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.0-1
- chore(update): 0.6.0 (Pre-release for Rawhide only)

* Wed Jan 26 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.8-1
- chore(update): 0.5.8

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Jan 16 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.7-1
- chore(update): 0.5.7

* Sun Jan 09 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.6-1
- chore(update): 0.5.6

* Thu Dec 30 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.3-1
- chore(update): 0.5.3

* Tue Dec 14 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.2-1
- chore(update): 0.5.2

* Mon Dec 13 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.1-1
- chore(update): 0.5.1

* Tue Nov 16 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.0-1
- chore(update): 0.5.0

* Mon Aug 23 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.3-1
- build(update): 0.4.3

* Fri Jul 30 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.2-1
- build(update): 0.4.2

* Thu Jul 29 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.1-1
- build(update): 0.4.1

* Mon Jul 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.0-1
- build(update): 0.4.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 19 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.3-1
- build(update): 0.3.3

* Wed Jun 09 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.2-1
- build(update): 0.3.2

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.3.1-2
- Rebuilt for Python 3.10

* Thu May 06 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.1-1
- build(update): 0.3.1

* Fri Apr 16 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.3-1
- build(update): 0.2.3

* Tue Apr 06 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.1-1
- Initial package

## END: Generated by rpmautospec
